Subject: Ftp-WG: Link request

From: [email-masked]
Date: Fri, 10 Nov 2000 14:33:49 -0500

Hello

I'm Dave, I represent S&Jcd.com, a CD duplication service. I just visited your website and wondered if you would be interested in a reciprocal link exchange.  Our web address is http://www.snjcd.com/. We specialize in high quality, CD-R or pressed CD duplications. I invite you to have a look at our site and consider adding our link to your site. If you are interested, I have provided our link information for you to upload.  Please send me your information and I will upload it right away.

URL: http://www.snjcd.com
Title: S & J CD Duplication
Description: Offers CD replication, burning, mastering and thermal imaging services.

Thank You

If you do not wish to receive any email from our link exchange program,
please click the following link :
http://209.242.143.228/newlinks/rm.phtml?id=973884853107

http://w3.hethmon.com